import { useSitecoreContext } from '@sitecore-jss/sitecore-jss-nextjs';
import React from 'react';
export function withDatasourceRendering() {
    return (Component) => {
        // eslint-disable-next-line react/display-name
        return (props) => {
            var _a;
            if (!props.rendering.dataSource) {
                const { sitecoreContext } = useSitecoreContext();
                return React.createElement(Component, Object.assign({}, props, { fields: (_a = sitecoreContext.route) === null || _a === void 0 ? void 0 : _a.fields }));
            }
            return React.createElement(Component, Object.assign({}, props, { fields: props.fields }));
        };
    };
}
